/*
 *      $Source: /usr/local/libdata/cvs/c-lib/libcompat/compat.h,v $
 *      $Revision: 1.2 $
 *      $Date: 1998/08/15 21:38:08 $
 *
 *      Copyright (C) 1996,97 by Peter Simons, Germany
 *      All rights reserved.
 */

#ifndef __LIB_COMPAT_H__
#define __LIB_COMPAT_H__ 1

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* snprintf() and vsnprintf() */

int snprintf(char *str, size_t size, const char *format, ...);
int vsnprintf(char *str, size_t size, const char *format, va_list ap);

/* memmove() */

void * memmove(void *dst, const void *src, size_t len);

/* atexit() */

int atexit(void (*function)(void));


#endif /* !__LIB_COMPAT_H__ */
