/*
 *      $Source: /usr/local/libdata/cvs/simons/petidomo/src/htmlconf/printnewlist.c,v $
 *      $Revision: 1.4 $
 *      $Date: 1998/06/01 17:19:28 $
 *
 *      Copyright (C) 1997 by Peter Simons, Germany
 *      All rights reserved.
 */

#include <cgi.h>
#include <petidomo.h>

extern cgi_info      ci;
extern form_entry *  form_parameter;

void printMainPage(void);

const char newlist_html[] = \
"<H1 ALIGN=center>Petidomo 2.2 Mailing List Creation</H1>\n" \
\
"<FORM METHOD=\"POST\" ACTION=\"%s\">\n" \
"<INPUT TYPE=hidden NAME=page VALUE=creatlist>\n" \
"<INPUT TYPE=hidden NAME=password VALUE=\"%s\">\n" \
\
\
"Please enter the <strong>name</strong> of the mailing list: <BR>" \
"<CENTER>" \
"  <INPUT NAME=\"listname\" SIZE=50 VALUE=\"\">" \
"</CENTER> <P>" \
"<HR> <P>" \
"" \
"Please enter the <strong>description</strong> of the mailing list: <BR>" \
"<CENTER>" \
"   <TEXTAREA NAME=\"description\" ROWS=10 COLS=60 WRAP=60></TEXTAREA>" \
"</CENTER> <P>" \
"<HR> <P>" \
"" \
"Please enter the <strong>introduction text</strong> of the mailing list: <BR>" \
"<CENTER>" \
"   <TEXTAREA NAME=\"introduction\" ROWS=10 COLS=60 WRAP=60></TEXTAREA>" \
"</CENTER> <P>" \
"<HR> <P>" \
"" \
"Please enter the <strong>signature</strong> of the mailing list: <BR>" \
"<CENTER>" \
"   <TEXTAREA NAME=\"signature\" ROWS=3 COLS=60></TEXTAREA>" \
"</CENTER> <P>" \
"<HR> <P>" \
\
"Please specify the <STRONG>mailing list type</STRONG>: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=radio NAME=listtype VALUE=open %s> open &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=listtype VALUE=closed %s> closed  &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=listtype VALUE=moderated %s> moderated &nbsp; &nbsp; &nbsp;\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify, whether you want to allow <STRONG>public subscriptions</STRONG>: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=radio NAME=allowpubsub VALUE=yes %s> yes &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=allowpubsub VALUE=no %s> no &nbsp; &nbsp; &nbsp;\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify, whether you want to allow people to subscribe an address <STRONG>not " \
"equal</STRONG> to the address they are mailing from: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=radio NAME=allowaliensub VALUE=yes %s> yes &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=allowaliensub VALUE=no %s> no &nbsp; &nbsp; &nbsp;\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify, whether you want to allow the <STRONG>MEMBERS</STRONG> command for this list: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=radio NAME=allowmembers VALUE=yes %s> yes &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=allowmembers VALUE=no %s> no &nbsp; &nbsp; &nbsp;\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Do you want the list to appear on the publically available\n" \
"<STRONG>index</STRONG> listing? <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=radio NAME=showonindex VALUE=yes %s> yes &nbsp; &nbsp; &nbsp;\n" \
"  <INPUT TYPE=radio NAME=showonindex VALUE=no %s> no &nbsp; &nbsp; &nbsp;\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify the (virtual) <STRONG>fully qualified host\n" \
"name</STRONG>, Petidomo should use for this mailing list: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT NAME=\"Hostname\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify the <STRONG>administrator password</STRONG> for\n" \
"this mailing list: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=\"password\" NAME=\"adminpassword\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER>\n" \
"Verify:\n" \
"<CENTER>\n" \
"  <INPUT TYPE=\"password\" NAME=\"adminpassword2\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please specify the <STRONG>posting password</STRONG> for this mailing\n" \
"list: <BR>\n" \
\
"<CENTER>\n" \
"  <INPUT TYPE=\"password\" NAME=\"postingpassword\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER>\n" \
"Verify:\n" \
"<CENTER>\n" \
"  <INPUT TYPE=\"password\" NAME=\"postingpassword2\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"What <STRONG>Reply-To field</STRONG> would you like to be inserted\n" \
"into posted articles? Leave the field blank for the default behavior,\n" \
"specify <SAMP>none</SAMP> for no Reply-To at all, or enter an valid\n" \
"address to be used:\n" \
\
"<CENTER>\n" \
"  <INPUT NAME=\"replyto\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"If you want to use a <STRONG>posting filter</STRONG> for postings\n" \
"delivered through this mailing list, please specify the complete path\n" \
"and name of the script or program:\n" \
\
"<CENTER>\n" \
"  <INPUT NAME=\"postingfilter\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"Please enter the complete path of the file or direcory, where you would like\n" \
"the posted articles to be <STRONG>archived</STRONG>:\n" \
\
"<CENTER>\n" \
"  <INPUT NAME=\"archivepath\" SIZE=30 VALUE=\"%s\">\n" \
"</CENTER> <P>\n" \
\
"<HR> <P>\n" \
\
"<INPUT TYPE=\"submit\"> <INPUT TYPE=\"reset\">\n" \
"</FORM>\n" \
"</BODY>\n" \
"</HTML>\n";


void
printNewList(void)
{
    const struct PD_Config * MasterConfig = getMasterConfig();
    char *   password = parmval(form_parameter, "password");

    /* Do sanity checks. */

    if (password == NULL) {
	printMainPage();
	return;
    }

    /* Check the password. */

    if (isValidAdminPassword(password, NULL) == FALSE) {
	printMainPage();
	puts("<H3>Permission denied</H1>");
	puts("The password you entered does not authorize you to create\n");
	puts("a new mailing list.<P>\n");
	return;
    }

    /* Print the list-config page. */

    printf(newlist_html, ci.script_name, password,
	   "CHECKED", "", "",	/* list type */
	   "CHECKED", "",	/* allowpubsub */
	   "CHECKED", "",	/* allowaliensub */
	   "", "CHECKED", 	/* allowmembers */
	   "CHECKED", "",	/* showonindex */
	   MasterConfig->fqdn,	/* hostname */
	   "", "",		/* adminpasswd */
	   "", "",		/* postingpasswd */
	   "",			/* reply to */
	   "",			/* posting filter */
	   ""			/* archive path */
	   );

}
